﻿@model PagedList.IPagedList<JobHunt.BU.DTO.CandidateDTO>
@using PagedList.Mvc;
@using JobHunt.BU.DTO
@{
    ViewBag.Title = "Danh sách người tìm việc";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<section class="overlape">
    <div class="block no-padding">
        <div data-velocity="-.1" style="background: url(/Assets/client/images/find-candidate.png) 50% -62.5px repeat scroll transparent;" class="parallax scrolly-invisible no-parallax"></div><!-- PARALLAX BACKGROUND IMAGE -->
        <div class="container fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="inner-header">
                        <h3>Xin chào nhà tuyển dụng</h3>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<section>
    <div class="block remove-bottom">
        <div class="container">
            <div class="row no-gape">
                <aside class="col-lg-3 column">
                    <div class="widget">
                        <div class="search_widget_job">
                            <div class="field_w_search">
                                <input type="text" placeholder="Từ khóa tìm kiếm">
                                <i class="la la-search"></i>
                            </div><!-- Search Widget -->
                            <div class="field_w_search">
                                <input type="text" placeholder="Tất cả địa điểm">
                                <i class="la la-map-marker"></i>
                            </div><!-- Search Widget -->
                        </div>
                    </div>
                </aside>
                <div class="col-lg-9 column">
                    <div class="emply-resume-sec">
                        @if (Model.Count > 0)
                        {
                            foreach (var cdd in Model)
                            {
                                <div class="emply-resume-list square">
                                    <div class="emply-resume-thumb">
                                        <img src="@cdd.CPAvatar" alt="">
                                    </div>
                                    <div class="emply-resume-info">
                                        <h3><a href="@Url.Action("DetailCandidate", "Candidate", new { id = JobHunt.BU.Common.GenerateUrl.GenerateSlug(cdd.CddFullName, cdd.CandidateId) })" title="">@cdd.CddFullName</a></h3>

                                        @if (@cdd.ProfessionDTO != null)
                                        {
                                            <span>@cdd.ProfessionDTO.PFName</span>
                                        }
                                        @if (@cdd.CityDTO != null)
                                        {
                                            <p><i class="la la-map-marker"></i>@cdd.CityDTO.CName</p>
                                        }
                                    </div>
                                    <div class="action-resume">
                                        <div class="action-center">
                                            <span>Chọn <i class="la la-angle-down"></i></span>
                                            <ul style="display: none;">
                                                @if (cdd.CddPathCV != null)
                                                {
                                                    <li class="open-letter"><a href="@Url.Action("DownloadCoverLetter", "Candidate", new { id = cdd.CandidateId })" title="">Tải CV đính kèm</a></li>
                                                }
                                                @* <li><a href="@Url.Action("PrintPartialViewToPdf", "Candidate", new { id = JobHunt.BU.Common.GenerateUrl.GenerateSlug(cdd.CddFullName, cdd.CandidateId) })" title="">In CV</a></li>*@
                                                <li><a href="@Url.Action("DetailCandidate", "Candidate", new { id = JobHunt.BU.Common.GenerateUrl.GenerateSlug(cdd.CddFullName, cdd.CandidateId) })" title="" target="_blank">Xem trang cá nhân</a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div><!-- Emply List -->
                            }
                        }

                        <div class="pagination">
                            @Html.PagedListPager(Model, page => Url.Action("ListCandidates", new { page, keyWord = ViewBag.keyWord, chooseDate = ViewBag.chooseDate, chooseWorkType = ViewBag.chooseWorkType }))
                        </div><!-- Pagination -->
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

